Special Hatch Problem

Discussion in 'AutoCAD' started by vef47, Jul 10, 2003.

  1. vef47

    vef47 Guest

    Hello Everyone:

    I have a problem regarding the placement of a hatch pattern that represents CMU wall in plan. Basically the wall layout consists of two (2) parallel lines (8 inches, 10 inches, 12 inches etc.) that are placed in plan view on the drawing and can be at any angle but for this example lets say that we have a horizontal leg of 15 feet, then a vertical leg of 20 feet and finally another horizontal segment at 15 feet.

    I would like to place a hatch pattern (using the "line" hatch pattern) so that the lines of the pattern are always perpendicular to the direction of each wall segment. For the example given above that would mean that for each horizontal segment of wall the lines of the hatch pattern would be vertical and for the vertical segment of wall the lines of the hatch pattern would be horizontal.

    Right now I draw a diagonal line (like a mitered corner) at each wall corner and then place each hatch pattern segment by selecting points within the boundary of each wall segment. This is very time consuming.

    Does a routine exist that could help with this process ?? or is there a better way to accomplish this task.

    Any help would be appreciated.
     
    vef47, Jul 10, 2003
    #1
  2. vef47

    OLD-CADaver Guest

    By using "freeform" HATCH instead of BHATCH, you can select points that define a hatch boundary. Lisp automates it.

    HATCH->(pattern name)->(scale)->(angle)->PRESS ENTER at "Select Objects"->(don't retain boundary)->(pick outline of hatch)

    ;Below is a sample lisp for grating:
    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    (setq HANG 0.0)
    (defun c:HAGRT ()
    ; (setq hang (getreal "\n Enter Grating Hatch Angle : "))
    (IF (SETQ Nhang (GETDIST (STRCAT "Enter Grating Hatch Angle : <" (RTOS hang 2 2) ">: ")))
    (setq hang nhang)
    )
      (command "-layer" "m" "hat" "")
      (command ".hatch" "grate" "32.0" hang "" "N")
    )
    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
     
    OLD-CADaver, Jul 10, 2003
    #2
  3. vef47

    vef47 Guest

    Thank you for the response however, I was using the "Hatch" command and the only difficulty I had with that approach was that it was not efficient and time consuming.

    I was hoping to try and research a routine or program that would automatically determine the angle of the hatch and miter the corner wall joints so that as the direction of the wall changed (horizontal to vertical) so would the direction of the hatch pattern in the wall. I thought the old "softdesk" application had a routine to accomplish this but I can not find it now.

    Thanks again for your help.

    Regards,
    Vince
     
    vef47, Jul 10, 2003
    #3
  4. vef47

    OLD-CADaver Guest

    Picking 3 points and a C is time consuming?? It's gonna be hard to get much quicker than that. Did you notice that it was "freeform" hatch? No other objects need to be drawn.
     
    OLD-CADaver, Jul 11, 2003
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.